<template>
  <lazy-theme-telegram-payment-deposit-manual-crypto-currency-deposit 
  :manual-crypto-currency="props.manualCryptoCurrency"
    :profile="props.profile"
  />
</template>
<script lang="ts" setup>
import { IGetManualCryptoCurrencyTransactionResponse } from "~~/models/getManualCryptoCurrencyTransactionResponse";
import { ProfileDto } from "~~/models/getProfileResponse";

const props = defineProps({
  manualCryptoCurrency: {
    type: Object as PropType<IGetManualCryptoCurrencyTransactionResponse>,
    required: true,
  },
  profile: {
    type: Object as PropType<ProfileDto>,
    required: true,
  },
});
</script>
